Skip to content

Get financial report

GET
/api/v1/reports/financial
curl --request GET \
--url 'https://api.ultimateteam.ai/api/v1/reports/financial?type=pnl&period=monthly' \
--header 'X-API-Key: <X-API-Key>'

Returns a financial report filtered by type (P&L, cash flow, or unit economics) and period.

type
required
FinancialReportType

Type of financial report to generate

string
Allowed values: pnl cashflow unit_economics

Type of financial report to generate

period
required
FinancialPeriod

Reporting period

string
Allowed values: monthly quarterly

Reporting period

Successful Response

Media typeapplication/json
FinancialReportResponse

Envelope response for the financial report endpoint.

Attributes: data: The financial report payload. meta: Standard response metadata.

object
data
required
FinancialReportData

Inner data payload for financial report responses.

Attributes: report_type: The type of financial report. period: The reporting period. generated_at: When the report was generated. data: The report content (structure varies by report type).

object
data
required
FinancialReportEvidence
object
cash_source
Any of:
string
Allowed value: GeneralLedger
closing_balance_cents
Any of:
integer
currency
Any of:
string
Allowed value: USD
data_status
required
Data Status
string
Allowed values: ready unavailable
inflows_cents
Any of:
integer
ledger_end_date
Any of:
string format: date
ledger_start_date
Any of:
string format: date
net_cash_flow_cents
Any of:
integer
observed_at
Any of:
string format: date-time
opening_balance_cents
Any of:
integer
outflows_cents
Any of:
integer
period_basis
required
Period Basis
string
Allowed values: month_to_date quarter_to_date
period_end
required
Period End
string format: date
period_start
required
Period Start
string format: date
reason
Any of:
string
source_connection_id
Any of:
string format: uuid
generated_at
required
Generated At
string format: date-time
period
required
FinancialPeriod

Allowed financial report periods.

string
Allowed values: monthly quarterly
report_type
required
FinancialReportType

Allowed financial report types.

string
Allowed values: pnl cashflow unit_economics
meta
ResponseMeta

Standard metadata included in every API response.

Attributes: request_id: Unique identifier for this request. timestamp: When the response was generated.

object
request_id
Request Id

Unique identifier for this request

string
timestamp
Timestamp

When the response was generated

string format: date-time
Example
{
"data": {
"data": {
"cash_source": "GeneralLedger",
"currency": "USD",
"data_status": "ready",
"period_basis": "month_to_date"
},
"period": "monthly",
"report_type": "pnl"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}